wpasupplicant in dapper doesn't work with madwifi-ng

Bug #47144 reported by desrt on 2006-05-28
14
Affects Status Importance Assigned to Milestone
Dapper Backports
Low
Unassigned
wpasupplicant (Ubuntu)
Medium
Reinhard Tartler
Dapper
Medium
Unassigned

Bug Description

the wpasupplicant in dapper is built against old madwifi headers. this prevents it from working with madwifi-ng.

this is a bit of a contradiction considering that in a fresh dapper install the madwifi-ng (not the madwifi) drivers get loaded by default on my laptop.

there is a comment in the patch that installs the madwifi headers into the wpasupplicant build tree that this patch prevents wpasupplicant from working with madwifi-ng. i fixed this problem for myself by building with the new headers (i also used a newer version of wpasupplicant).

things are working great now, but it'd be nice if i didn't have to build my own wpasupplicant.

Reinhard Tartler (siretart) wrote :

please use -Wext on madwifi-ng. I have been told that madwifi-ng would implement all required wireless extensions, so this should do.

Does this work for you?

Changed in wpasupplicant:
status: Unconfirmed → Needs Info
Michael Helmling (supermihi) wrote :

Same here, but for me even the madwifi-ng drivers coming with dapper don't work. I have an IBM thinkpad z60t and need to checkout the svn versions.

WillyTP (willytp) wrote :

I confirm this bug too. With the default install wpa_supplicant doesn't work, neither with -Dmadwifi option, neither with -Dnext.
During handshake it fails giving an IOCTL error, which says "argument too long" or something similar.
Actually, for making wpa_supplicant + madwifi working, I've had to download lastest madwifi sources from SVN, make + install them, plus downloading lastest wpa_supplicant package, build and compile against the downloaded madwifi sources.
In other words, more or less as explained here:
http://madwifi.org/wiki/UserDocs/802.11i

Reinhard Tartler (siretart) wrote :

It is correct that the wpasupplicant package in dapper does not work with madwifi-ng, mainly because the decision to include madwifi-ng is only for some few newer cards, and because it was made very very late.

Debian has an updated wpasupplicant package prepared, which we will have in edgy soon. we can put that in dapper-backports, as soon as it gets synced.

Michael Helmling (supermihi) wrote :

The new madwifi-ng seems to work with -Dwext, but I'm not sure if this works with the standard ubuntu wpa_supplicant.

John Dong (jdong) wrote :

Awaiting new wpasupplicant -- marking "Needs Info" in the meantime.

Changed in dapper-backports:
status: Unconfirmed → Needs Info
Reinhard Tartler (siretart) wrote :

I'd like to have #51351 fixed before backporting

Changed in wpasupplicant:
importance: Untriaged → Medium
status: Unconfirmed → Confirmed
Reinhard Tartler (siretart) wrote :

wpasupplicant in edgy has been compiled with -Dmadwifi driver backend compiled against madwifi-ng headers. To compile against madwifi-old, you need to adapt debian/patches/00list

Changed in wpasupplicant:
assignee: nobody → siretart
status: Needs Info → Fix Released
John Dong (jdong) wrote :

So this should be ready to evaluate backporting, correct?

Changed in dapper-backports:
status: Needs Info → Confirmed
Hubert Figuiere (hub) wrote :

for what it is worth, I rebuild edgy wpasupplicant on dapper and it works.

thanks for the hints.

On Thu, Jul 13, 2006 at 01:07:27PM -0000, John Dong wrote:
> So this should be ready to evaluate backporting, correct?

Yes, the wpasupplicant package should now be in shape for packporting to
dapper. Note that is compiled agains madiwifi-ng in dapper, but is
trivial to change to madwifi-old (just edit debian/patches/00list)

John Dong (jdong) wrote :

Attached is a testing backport of wpasupplicant, compiled from Edgy with no source changes. Please report back.

Reinhard, were there any source changes you were meaning to make to the backport package?

Changed in dapper-backports:
importance: Untriaged → Low
status: Confirmed → In Progress
Bart Verwilst (verwilst) wrote :

I just installed the testing debs, rebooted, but still i'm not able to connect to WPA-secured networks. knetworkmanager stops for a while at 28%, and then switches back to wired connection after a minute or so.
I'm having an atheros card in a macbook.

If you need any more info, please let me know ( i bought this laptop to use it in meetings and stuff, and without wireless, it's pretty useless :D )

Thanks!

Reinhard Tartler (siretart) wrote :

On Fri, Jul 14, 2006 at 07:08:55AM -0000, John Dong wrote:
> Reinhard, were there any source changes you were meaning to make to the
> backport package?

No, there shouldn't be any patches necessary.

Reinhard Tartler (siretart) wrote :

On Thu, Jul 27, 2006 at 02:22:53PM -0000, Bart Verwilst wrote:
> I just installed the testing debs, rebooted, but still i'm not able to
> connect to WPA-secured networks. knetworkmanager stops for a while at
> 28%, and then switches back to wired connection after a minute or so.

are you sure you are using madwifi-ng? which kernel/madwifi version are
you using?

Could you perhaps attach the wpa_supplicant debug log?

-just a side note:

I tried your test packages and with them WEP (yes not wpa) networking ist working for my Cisco Aironet Card - did not work with the default dapper wpasupplicant. I just came to this report because of searching solution.

could this version get to the current dapper updates, please?

thx
Peter

Reinhard Tartler (siretart) wrote :

On Thu, Jul 27, 2006 at 08:03:46PM -0000, Peter Frühberger wrote:
> I tried your test packages and with them WEP (yes not wpa) networking
> ist working for my Cisco Aironet Card - did not work with the default
> dapper wpasupplicant. I just came to this report because of searching
> solution.
>
> could this version get to the current dapper updates, please?

I'm happy to hear that the test packages work for you. Please note that
they are based on the development branch of wpa_supplicant, which
introduce a lot of new untested features, which I'm not comfortable at
all to have in dapper-updates.

I think dapper-backports is the right place for the package

Gruesse,
 Reinhard

Bart Verwilst (verwilst) wrote :

i'm using kernel 2.6.15-25-686.

[17179587.708000] new_ath_hal: module license 'Proprietary' taints kernel.
[17179587.708000] new_ath_hal: 0.9.16.16 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[17179587.860000] new_ath_rate_sample: 1.2 (svn 2006-06-15)
[17179587.868000] ath_pci: 0.9.4.5 (svn 2006-06-15)
[17179588.528000] wifi0: Atheros 5424: mem=0x90100000, irq=169

attached is my relevant syslog output when i try to make knetworkmanager connect to the "Hostbasket" wireless network. ( WPA encrypted )

Reinhard Tartler (siretart) wrote :

On Fri, Jul 28, 2006 at 08:23:32AM -0000, Bart Verwilst wrote:
> i'm using kernel 2.6.15-25-686.
>
> [17179587.708000] new_ath_hal: module license 'Proprietary' taints kernel.
> [17179587.708000] new_ath_hal: 0.9.16.16 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
> [17179587.860000] new_ath_rate_sample: 1.2 (svn 2006-06-15)
> [17179587.868000] ath_pci: 0.9.4.5 (svn 2006-06-15)
> [17179588.528000] wifi0: Atheros 5424: mem=0x90100000, irq=169

Okay, this is madwifi-ng.

according to the attachment:

Jul 28 09:39:22 macbook NetworkManager:
<information>^Iwpa_supplicant(5470): wpa_driver_wext_set_wpa

this means you are using wext. Please try using madwifi instead of wext
(and sorry, I don't know enough about network-manager how to change that
besides hacking the source).

Gruesse,
 Reinhard

Martin Pitt (pitti) wrote :

backporters team, please confirm that the current feisty package will work for dapper and either confirm or reject this bug. Thank you!

Changed in dapper-backports:
status: In Progress → Needs Info
Martin Pitt (pitti) wrote :

Sorry, by 'confirm' I mean 'set to "in progress"' when it works.

Reinhard Tartler (siretart) wrote :

well, it is not possible to have a wpa_supplicant which works with both madwifi-old and madwifi-ng. So simply backporting the version from edgy will certainly break all installations with the version of the madwifi driver which is shipped with dapper.

Launchpad Janitor (janitor) wrote :

[Expired for Dapper Backports because there has been no activity for 60 days.]

Bart Verwilst (verwilst) wrote :

I guess this bug can be closed because its hopelessly outdated?

Rolf Leggewie (r0lf) on 2011-10-03
Changed in wpasupplicant (Ubuntu Dapper):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers